/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ConfigRestriccionPago;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderRestriccionFormaPago implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ConfigRestriccionPago configFormaPago = (ConfigRestriccionPago) o;

        Listcell lc = new Listcell(configFormaPago.getConfigrestriccionId().toString());
        lc.setParent(lstm);

        lc = new Listcell(configFormaPago.getFormaPago().getDescpago());
        lc.setParent(lstm);

        lc = new Listcell(configFormaPago.getRestriccion().getDescrestriccion());
        lc.setParent(lstm);

        lstm.setAttribute("data", configFormaPago);
    }
}
